org.gradle.tooling.model

## Interface DomainObjectSet<T>

- Type Parameters:
    `T` - The type of objects in this collection.
  All Superinterfaces:
    Collection<T>, Iterable<T>, Set<T>

      public interface DomainObjectSet<T>
      extends Set<T>

  A set of domain objects of type T.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<T>` | `getAll()` Returns the elements of this set in the set's iteration order.
    `T` | `getAt(int index)` Returns the element at the given index according to the set's iteration order.

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### getAll

          List<T> getAll()

      Returns the elements of this set in the set's iteration order.
      Returns:
        The elements of this set in the set's iteration order.

    - #### getAt

          T getAt(int index)
                  throws IndexOutOfBoundsException

      Returns the element at the given index according to the set's iteration order.
      Parameters:
        `index` - The index of the element to get.
      Returns:
        The element at the given index according to the set's iteration order.
      Throws:
        `IndexOutOfBoundsException`